Levain LabsLevain Labs
API ReferenceAgents

Get Version Rewards

Summarise matured rewards across the runs of one agent version.

Summarise matured rewards across the runs of one agent version.

mean averages scored and guarded runs; excluded runs carry no value. worst lists the lowest-scoring runs, oldest first on ties, for diagnosis. Covers the most recent 500 finished runs.

GET
/api/v1/agents/{agent_id}/versions/{version}/rewards

Authorization

HTTPBearer
AuthorizationBearer <token>

In: header

Path Parameters

agent_id*Agent Id
version*Version

Query Parameters

as_of?|null

Header Parameters

X-API-Key?string|null

Response Body

application/json

application/json

curl -X GET "https://api.levainlabs.com/api/v1/agents/string/versions/0/rewards"
{
  "agent_version_id": "1c2a713c-7248-4a56-a9eb-0bdcb3a41741",
  "objective_version": 0,
  "as_of": "2019-08-24T14:15:22Z",
  "runs": 0,
  "pending": 0,
  "scored": 0,
  "excluded": 0,
  "guarded": 0,
  "mean": 0,
  "worst": [
    {
      "status": "scored",
      "value": 0,
      "matured": true,
      "matures_at": "2019-08-24T14:15:22Z",
      "as_of": "2019-08-24T14:15:22Z",
      "guard": "string",
      "terms": [
        {
          "signal": "string",
          "agg": "first",
          "weight": 0,
          "count": 0,
          "raw": 0,
          "value": 0,
          "contribution": 0,
          "imputed": true
        }
      ],
      "signals_considered": 0,
      "late_signals": 0,
      "run_id": "dded282c-8ebd-44cf-8ba5-9a234973d1ec",
      "objective_version": 0
    }
  ]
}